rptc.net
当前位置:首页>>关于VS2010如何把.net4.0框架打包到安装程序里面?的资料>>

VS2010如何把.net4.0框架打包到安装程序里面?

选择"发布"或是"安装项目"中的[系统必备],勾选.Net Framework 对应版本,在窗口下方的[指定系统必备组件的安装位置]中选择[从与我的应用程序相同的位置下载系统必备组件].这样在项目打包的时候就会包含.Net Framework 的安装文件,生成的安装包要...

你好,Framework是无法一起打包进你的程序里的,因为Framework是Microsoft公司开发的,你并没有它的源码,无法把它一起打包,如果你要把Framework一起打包给用户使用,只能自己把Framework的脱机安装包一起给别人安装,满意我的回答请给个采纳呗...

人家都跟你说了 正在进行另一个安装操作, 所以你等那个装好了才装4.0 或者重启电脑试试就oK了 那你装一个低版本的吧 2.0 或者 3.0 3.5 这个装不上 就算了吧

一、关于将.net Framework打包到安装程序中:从安装项目的属性中选择系统必备,勾选你当前系统安装的系统必备。指定‘系统必备组件的安装位置’为2、从与我有应用程序相同的位置下载系统必备组件。 二、关于更新:一般情况采用主程序(应用程序)...

属性-编译-高级编译选项-目标framework配置(A)

因为用vs开发出的软件需要基于CLR运行,和Java虚拟机一样也需要一个运行时环境,所以需要安装Framework4。所以提示需要Framework4只是因为你开发的程序是基于Fromwork4框架开发的,Framework3.5甚至Framework2也是一样。 发布的方法 选择"发布"...

项目属性,将.net版本改为2.0

当你创建一个项目时,是可以指定.NET的版本的 如下图所示:

vs2010仅支持到4.0,不支持4.5的框架程序开发,我vs2010都是13年的时候用的了。换了吧

你是用VS自带的打包工具,还是其他工具生成安装包的?不管哪种,你都需要先把.net framework4.0 安装,再能运行你的安装包,一个.net 4.0,大概48M的样子,你去官网下载下来,在打包到安装包内,设置下安装顺序就行

网站首页 | 网站地图
All rights reserved Powered by www.rptc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com